Subject: Re: [PATCH v2 00/49] repack: prepare for incremental MIDX-based repacking

From: Junio C Hamano <[email-masked]>
Date: Thu, 16 Oct 2025 10:11:19 -0700

Patrick Steinhardt <[email-masked]> writes:

>> A range-diff is included below for convenience, but the changes since
>> v1 are generally limited to the following:
>> 
>>  * Wording tweaks and a couple of minor typo fixes.
>> 
>>  * Dropping explicit casts out of 'void *'.
>> 
>>  * Clarification in commit "builtin/repack.c: introduce `struct
>>    write_pack_opts`" that additional cleanup follows in the upcoming
>>    patches.
>> 
>>  * Marking parts of the new API as const where possible.
>> 
>>  * Using 'bool' as the return type and simplifying the implementation
>>    of `write_pack_opts_is_local()`.
>> 
>>  * Avoid shadowing "struct write_pack_opts opts" in `cmd_repack()`.
>> 
>> Outside of that, the series is unchanged, and I am hopeful that this
>> round looks good to reviewers so that we can move on to the more
>> interesting parts of incremental MIDX/bitmap repacking ;-).
>
> I didn't quite feel like reviewing all of these patches again, so I only
> had a look at the range-diff. The changes in there all look good to me
> and address my feedback.
>
> So I feel like all of this is in a reasonably good shape and a
> definitive improvement for our code base. Thanks!

;-)

Thanks for a vote of confidence.  With what I saw in v1 round, I
agree these are in good shape.

Thanks.